TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TIBCO.EMS.TopicRequestor Class Reference

This class provides a request/reply facility for messaging over a topic. More...

## Public Member Functions
| TopicRequestor (TopicSession session, Topic topic)
| Construct a TopicRequestor object given a topic session and topic. More...
Message | Request (Message message)
| Send the request message and obtain its reply. More...
void | Close ()
| Close the TopicRequestor object. More...

## Detailed Description

This class provides a request/reply facility for messaging over a topic.

We recommend that clients follow these steps:

1. Create a TopicSession, and use it to create a Topic for requests and replies.
2. Create a TopicRequestor, using the topic session and Topic as arguments.
3. Send a request and receive a reply. You may repeat this step for several request and reply pairs.
4. Close the requestor object, when done. The Close method also closes the requestor's session as a side effect.

## Constructor & Destructor Documentation

TIBCO.EMS.TopicRequestor.TopicRequestor | ( | TopicSession | session,
|  | Topic | topic
| ) |  |
| inline

Construct a TopicRequestor object given a topic session and topic.

Parameters

  session | The non-transacted TopicSession.The requestor operates within this topic session.This session must not use transaction semantics. Its delivery mode must be either AutoAcknowledge or DupsOkAcknowledge.The Close method also closes this session as a side effect.
  topic | The topic destination on which to send a request and wait for a reply. Note that this topic must belong to the TopicSession provided by the session parameter

Exceptions

  EMSException | An EMSExceptin may be thrown in case of failure

## Member Function Documentation

void TIBCO.EMS.TopicRequestor.Close | ( |  | ) |
| inline

Close the TopicRequestor object.

This method also closes the TopicSession as a side effect.

Exceptions

  EMSException | In case of errors in closing the TopicRequestor object

Message TIBCO.EMS.TopicRequestor.Request | ( | Message | message | ) |
| inline

Send the request message and obtain its reply.

The requestor receives only the first reply. It discards other replies that arrive subsequently.

Parameters

  message | The request message.

Returns
  The reply for the request sent.

Exceptions

  EMSException | In case of errors in sending request and receiving reply